// Copyright 2015 Keybase, Inc. All rights reserved. Use of
// this source code is governed by the included BSD license.

package libkb

import (
	"encoding/base64"
	"testing"
)

func TestKeithWinstein(t *testing.T) {

	var err error
	// Encode the key with spaces as a Base64-encoded string, since trailing
	// spaces don't survive our various text editors
	key64 := "[encoded data, 15464 characters]"
	key, err := base64.StdEncoding.DecodeString(key64)
	if err != nil {
		t.Fatal(err)
	} else if _, _, err = ReadOneKeyFromString(string(key)); err != nil {
		t.Fatal(err)
	}
}
